/***************************************************************************
 *   Copyright (C) 2005 by Mc   *
 *   mc@bglug.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "mimetypeanalyzer.h"


MimeTypeAnalyzer::MimeTypeAnalyzer(const char* fileName,QObject *parent, const char *name)
 : QObject(parent, name)
{
  filecommand  = new QProcess();
  filecommand->addArgument("file");
  filecommand->addArgument("-i");
  filecommand->addArgument(fileName);

  connect(filecommand,SIGNAL(readyReadStdout()), this ,SLOT(ReadOutputCommand() ));

  if (!filecommand->start()){
    //emit file command error
  }



}


MimeTypeAnalyzer::~MimeTypeAnalyzer()
{
}


#include "mimetypeanalyzer.moc"


/*!
    \fn MimeTypeAnalyzer::ReadOutputCommand()
 */
void MimeTypeAnalyzer::ReadOutputCommand()
{
  results = filecommand->readLineStdout();
}
