#include "rightclickevent.h"
#include "kmp3tag.h"

RightClickEvent::RightClickEvent(QObject *parent, const char *name)
    : QObject(parent, name)
{}


RightClickEvent::~RightClickEvent()
{}


#include "rightclickevent.moc"


/*!
    \fn RightClickEvent::eventFilter(QObject *o, QEvent *e)
 */
bool RightClickEvent::eventFilter(QObject *o, QEvent *e)
{
  if (e->type() == QEvent::MouseButtonPress)
    {
      QMouseEvent *m = (QMouseEvent *)e;
      if (m->button() == Qt::RightButton)
        {
          ((Kmp3Tag*)o->parent()->parent()->parent())->columnHideMenuShow(m->globalPos());
          return FALSE;
        }
      if (m->button() == Qt::LeftButton)
        {
          return FALSE;
        }
    }
  return FALSE;
}
