#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './DialogMusicbrainzFetch.ui'
**
** Created: sab feb 10 18:14:26 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "DialogMusicbrainzFetch.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a MusicbrainzFetch as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
MusicbrainzFetch::MusicbrainzFetch( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "MusicbrainzFetch" );
    setSizeGripEnabled( TRUE );
    MusicbrainzFetchLayout = new QGridLayout( this, 1, 1, 11, 6, "MusicbrainzFetchLayout"); 

    layout7 = new QGridLayout( 0, 1, 1, 0, 6, "layout7"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 
    spacer3 = new QSpacerItem( 51, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer3 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout4->addWidget( buttonOk );
    spacer2 = new QSpacerItem( 170, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer2 );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    layout4->addWidget( buttonCancel );
    spacer4 = new QSpacerItem( 51, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer4 );

    layout7->addLayout( layout4, 1, 0 );

    buttonGroup = new QButtonGroup( this, "buttonGroup" );

    textLabel1 = new QLabel( buttonGroup, "textLabel1" );
    textLabel1->setGeometry( QRect( 10, 20, 40, 21 ) );

    textLabel5 = new QLabel( buttonGroup, "textLabel5" );
    textLabel5->setGeometry( QRect( 10, 140, 58, 20 ) );

    textLabel4 = new QLabel( buttonGroup, "textLabel4" );
    textLabel4->setGeometry( QRect( 10, 110, 90, 20 ) );

    textLabel3 = new QLabel( buttonGroup, "textLabel3" );
    textLabel3->setGeometry( QRect( 10, 80, 58, 20 ) );

    textLabel2 = new QLabel( buttonGroup, "textLabel2" );
    textLabel2->setGeometry( QRect( 10, 50, 58, 20 ) );

    checkBoxTrackNum = new QCheckBox( buttonGroup, "checkBoxTrackNum" );
    checkBoxTrackNum->setGeometry( QRect( 410, 110, 16, 20 ) );

    checkBoxAlbum = new QCheckBox( buttonGroup, "checkBoxAlbum" );
    checkBoxAlbum->setGeometry( QRect( 410, 50, 16, 20 ) );

    checkBoxArtist = new QCheckBox( buttonGroup, "checkBoxArtist" );
    checkBoxArtist->setGeometry( QRect( 410, 18, 16, 20 ) );

    checkBoxTitle = new QCheckBox( buttonGroup, "checkBoxTitle" );
    checkBoxTitle->setGeometry( QRect( 410, 80, 16, 20 ) );

    checkBoxYear = new QCheckBox( buttonGroup, "checkBoxYear" );
    checkBoxYear->setGeometry( QRect( 410, 140, 16, 20 ) );

    album = new QComboBox( FALSE, buttonGroup, "album" );
    album->setGeometry( QRect( 110, 50, 281, 21 ) );
    album->setDuplicatesEnabled( FALSE );

    title = new QComboBox( FALSE, buttonGroup, "title" );
    title->setGeometry( QRect( 110, 80, 281, 21 ) );
    title->setDuplicatesEnabled( FALSE );

    trackNum = new QComboBox( FALSE, buttonGroup, "trackNum" );
    trackNum->setGeometry( QRect( 110, 110, 120, 21 ) );
    trackNum->setDuplicatesEnabled( FALSE );

    year = new QComboBox( FALSE, buttonGroup, "year" );
    year->setGeometry( QRect( 110, 140, 120, 21 ) );
    year->setDuplicatesEnabled( FALSE );

    artist = new QComboBox( FALSE, buttonGroup, "artist" );
    artist->setGeometry( QRect( 110, 20, 281, 21 ) );
    artist->setDuplicatesEnabled( FALSE );

    layout7->addWidget( buttonGroup, 0, 0 );

    MusicbrainzFetchLayout->addLayout( layout7, 0, 0 );
    languageChange();
    resize( QSize(461, 238).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MusicbrainzFetch::~MusicbrainzFetch()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MusicbrainzFetch::languageChange()
{
    setCaption( tr2i18n( "MusicbrainzFetch" ) );
    buttonOk->setText( tr2i18n( "&Submit" ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    buttonGroup->setTitle( tr2i18n( "Guess Field" ) );
    textLabel1->setText( tr2i18n( "Artist" ) );
    textLabel5->setText( tr2i18n( "Year" ) );
    textLabel4->setText( tr2i18n( "Track Number" ) );
    textLabel3->setText( tr2i18n( "Title" ) );
    textLabel2->setText( tr2i18n( "Album" ) );
    checkBoxTrackNum->setText( QString::null );
    checkBoxAlbum->setText( QString::null );
    checkBoxArtist->setText( QString::null );
    checkBoxTitle->setText( QString::null );
    checkBoxYear->setText( QString::null );
}

#include "DialogMusicbrainzFetch.moc"
