/***************************************************************************
 *   Copyright (C) 2005 by Mc   *
 *   mc@bglug.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "cdialogchoosefield.h"
#include "qlayout.h"

CDialogChooseField::CDialogChooseField(QWidget *parent, const char *name, QStringList labels)
    :Choose_Field(parent, name)
{
  QPtrList<QRadioButton> list;
  list.autoDelete();
  int yPosition = 20;
  for (unsigned int i = 2 ; i <= labels.count() -1 ; ++i){
    list.append( new QRadioButton( buttonGroup, labels[i].ascii()) );
    list.current()->setGeometry( QRect( 10, yPosition , 95, 20 ) );
    list.current()->setText( labels[i].ascii() );
    yPosition = yPosition + 30 ;
  }
  buttonGroup->adjustSize();
  this->adjustSize();
}

#include "cdialogchoosefield.moc"


/*!
    \fn CDialogChooseField::accept()
 */
void CDialogChooseField::accept()
{
  QDialog::accept();
}


/*!
    \fn CDialogChooseField::close()
 */
void CDialogChooseField::close()
{
  QDialog::reject();
}
