/***************************************************************************
 *   Copyright (C) 2005 by Mc   *
 *   mc@bglug.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "cdialogfileastag.h"
#include "qcombobox.h"


CDialogFileAsTag::CDialogFileAsTag(QWidget *parent, const char *name, QStringList labels)
    :DialogFileAsTag(parent, name)
{
  QStringList::Iterator it;
  it = labels.find( "Id" );
  labels.remove ( it );
  it = labels.find( "Path" );
  labels.remove ( it );
  firstFieldComboBox->insertStringList(labels);
  secondFieldComboBox->insertStringList(labels);
  thirdFieldComboBox->insertStringList(labels);
  firstFieldComboBox->setCurrentItem(1);
  secondFieldComboBox->setCurrentItem(2);
}

#include "cdialogfileastag.moc"

CDialogFileAsTag::~CDialogFileAsTag()
{
}




/*!
    \fn CDialogFileAsTag::accept()
 */
void CDialogFileAsTag::accept()
{
  QDialog::accept();
}


/*!
    \fn CDialogFileAsTag::close()
 */
void CDialogFileAsTag::close()
{
  QDialog::reject();
}



