/***************************************************************************
 *   Copyright (C) 2005 by Mc   *
 *   mc@bglug.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MIMETYPEANALYZER_H
#define MIMETYPEANALYZER_H

#include <qobject.h>
#include <qprocess.h>


/**
This class analyze file name passed as argoument and check the mime type

	@author Mc <mc@bglug.it>
*/
class MimeTypeAnalyzer : public QObject
{
Q_OBJECT
public:
    MimeTypeAnalyzer(const char* fileName, QObject *parent = 0, const char *name = 0);

    ~MimeTypeAnalyzer();

private:
    QString results;
    QProcess *filecommand;
private slots:
    void ReadOutputCommand();
};

#endif
